summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2014-05-01 04:07:04 +0200
committer Willy Sudiarto Raharjo2014-05-01 04:13:21 +0200
commit31e55e02098cefc3a767e318a1c1b5c396aebbe0 (patch)
tree72d8050aca9e001a5d1ddcc4d40ccd330bdbdaba
parenta8948b1a616bbba6a04d71cc41ebc5a2cf32fe19 (diff)
downloadslackbuilds-31e55e02098cefc3a767e318a1c1b5c396aebbe0.tar.gz
games/ceferino: Added (2d balloon-breaking game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/ceferino/README3
-rw-r--r--games/ceferino/ceferino.650
-rw-r--r--games/ceferino/ceferino.SlackBuild98
-rw-r--r--games/ceferino/ceferino.desktop9
-rw-r--r--games/ceferino/ceferino.info10
-rw-r--r--games/ceferino/ceferino.pngbin0 -> 12568 bytes
-rw-r--r--games/ceferino/doinst.sh3
-rw-r--r--games/ceferino/slack-desc19
-rw-r--r--games/ceferino/soundinitfix.diff12
9 files changed, 204 insertions, 0 deletions
diff --git a/games/ceferino/README b/games/ceferino/README
new file mode 100644
index 0000000000..208bd3caea
--- /dev/null
+++ b/games/ceferino/README
@@ -0,0 +1,3 @@
+ceferino (2d balloon-breaking game)
+
+A game similar to 'Super Pang'. You are attacked by little green balls which are bouncing around and which you have to destroy with your knife. Your knife however is limited to being thrown upwards, thus you have to get under the balls to destroy them. Even worse, if you destroy a large ball, it doesn't just vanish, but breaks apart into two smaller balls. Levels consist of little platforms connected by ladders, so you can go up and down or find cover if needed.
diff --git a/games/ceferino/ceferino.6 b/games/ceferino/ceferino.6
new file mode 100644
index 0000000000..babd1206f8
--- /dev/null
+++ b/games/ceferino/ceferino.6
@@ -0,0 +1,50 @@
+.TH "CEFERINO" "6" "2014-03-30" "0.97.8+svn37" "SlackBuilds.org"
+.SH "NAME"
+ceferino \- action game similar to Super Pang
+.SH "SYNOPSIS"
+.B ceferino
+.B ceferinosetup
+.B ceferinoeditor
+.SH "DESCRIPTION"
+The game is similar to 'Super Pang'.
+
+You are attacked by little green balls which are bouncing around and which you have to destroy with your knife. Your knife, however, is limited to being thrown upwards, so you have to get under the balls to destroy them.
+
+Even worse, if you destroy a large ball, it doesn't just vanish, but breaks apart into two smaller balls. Levels consist of little platforms connected by ladders, so you can go up and down or find cover if needed.
+.SH "USAGE"
+.B ceferinosetup
+
+With this program you can configure the game options: video mode, full screen or windowed mode, music and sounds. The configuration is stored in $HOME/.ceferino
+
+You can move through the menu using the arrow keys, return and space.
+
+.B ceferino
+
+This command allows to run the game. It will get the game options from $HOME/.ceferino and, after a brief introduction, will present a menu in which you can select a new game and some other things.
+
+During the game, you can use the following keys:
+ Left Arrow \- Move Left
+ Right Arrow \- Move Right
+ x \- Throw a knife
+ z and c \- Roll on the floor
+ Up Arrow \- Climb Stairs
+ Down Arrow \- Crouch
+
+The purpose of the game is to destroy all the balls and go up levels without being killed.
+
+The highest scores are stored in $HOME/.ceferinomarcas
+
+.B ceferinoeditor
+
+With this program you can edit the levels of the game. The data describing the new levels will be stored in $HOME/.ceferinoniveles.map
+
+You can use the mouse to modify the map.
+.SH "AUTHORS"
+The game has been written by LosersJuegos ( see http://www.losersjuegos.com.ar/ ):
+ \- Hugo Ruscitti <hugoruscitti@yahoo.com.ar>
+ \- Walter Velazquez <wgv_tattoo@yahoo.com.ar>
+ \- Gabriel Valentin <vcgdebian@yahoo.com.ar>
+
+This manual page was written for the Debian GNU/Linux system by Miriam Ruiz
+<little_miry@yahoo.es> (but may be used by others, of course). It was modified
+slightly by B. Watson for SlackBuilds.org.
diff --git a/games/ceferino/ceferino.SlackBuild b/games/ceferino/ceferino.SlackBuild
new file mode 100644
index 0000000000..43a8c88c6f
--- /dev/null
+++ b/games/ceferino/ceferino.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for ceferino
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Packaging up the same version Debian does, SVN rev 37 fixes some bugs.
+
+PRGNAM=ceferino
+VERSION=${VERSION:-0.97.8+svn37}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# fix array bounds fail in sound initialization
+patch -p1 < $CWD/soundinitfix.diff
+
+autoreconf -if
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --bindir=/usr/games \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# icon rendered from Debian's cefefino.svg
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop file from Debian
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# man page also from Debian
+mkdir -p $PKG/usr/man/man6
+gzip -9c < $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ceferino/ceferino.desktop b/games/ceferino/ceferino.desktop
new file mode 100644
index 0000000000..3e05bab467
--- /dev/null
+++ b/games/ceferino/ceferino.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Ceferino
+GenericName=ceferino
+Comment=Save the cows!
+Type=Application
+Exec=ceferino
+Icon=ceferino
+Terminal=false
+Categories=Game;ActionGame;
diff --git a/games/ceferino/ceferino.info b/games/ceferino/ceferino.info
new file mode 100644
index 0000000000..5cd8274a26
--- /dev/null
+++ b/games/ceferino/ceferino.info
@@ -0,0 +1,10 @@
+PRGNAM="ceferino"
+VERSION="0.97.8+svn37"
+HOMEPAGE="http://www.losersjuegos.com.ar/juegos/ceferino"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/c/ceferino/ceferino_0.97.8+svn37.orig.tar.gz"
+MD5SUM="6823fe46cadf7c759128c37073e85e2c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/ceferino/ceferino.png b/games/ceferino/ceferino.png
new file mode 100644
index 0000000000..b60a748d4b
--- /dev/null
+++ b/games/ceferino/ceferino.png
Binary files differ
diff --git a/games/ceferino/doinst.sh b/games/ceferino/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/ceferino/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/ceferino/slack-desc b/games/ceferino/slack-desc
new file mode 100644
index 0000000000..c2470d0733
--- /dev/null
+++ b/games/ceferino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ceferino: ceferino (2d balloon-breaking game)
+ceferino:
+ceferino: A game similar to 'Super Pang'. You are attacked by little green
+ceferino: balls which are bouncing around and which you have to destroy with
+ceferino: your knife. Your knife however is limited to being thrown upwards,
+ceferino: thus you have to get under the balls to destroy them. Even worse,
+ceferino: if you destroy a large ball, it doesn't just vanish, but breaks apart
+ceferino: into two smaller balls. Levels consist of little platforms connected
+ceferino: by ladders, so you can go up and down or find cover if needed.
+ceferino:
+ceferino:
diff --git a/games/ceferino/soundinitfix.diff b/games/ceferino/soundinitfix.diff
new file mode 100644
index 0000000000..6175ace8ed
--- /dev/null
+++ b/games/ceferino/soundinitfix.diff
@@ -0,0 +1,12 @@
+diff -Naur ceferino-0.97.8+svn37/src/audio.h ceferino-0.97.8+svn37.patched/src/audio.h
+--- ceferino-0.97.8+svn37/src/audio.h 2013-08-05 10:29:49.000000000 -0400
++++ ceferino-0.97.8+svn37.patched/src/audio.h 2014-04-30 05:59:18.000000000 -0400
+@@ -49,7 +49,7 @@
+ void descargar_musicas(void);
+ int canal_musica;
+
+- Mix_Chunk *sonidos[11];
++ Mix_Chunk *sonidos[12];
+ Mix_Music *musicas[2];
+
+ };